%define name	kompose
%define version	0.5.4
%define release %mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A full screen pager for KDE
Source0:	http://download.berlios.de/kompose/%{name}-%{version}.tar.bz2
Source11:       %{name}.16.png
Source12:       %{name}.32.png
Source13:       %{name}.48.png
Patch0:		kompose-0.5.4-detect-automake-1.10.patch
Patch1:		kompose-0.5.4-fix-KToolBar-call.patch
Patch2:		kompose-0.5.4-fix-desktop.patch
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://developer.berlios.de/projects/kompose
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel 
BuildRequires:  imlib2-devel

%description
Kompose give instant access to any open window. Display all open windows 
on all virtual desktop as thumbnails.
Allow drag&drop windows between virtual desktops.
For mac users, it is an Expos-like.

%prep
%setup -q
%patch0 -p0 -b .orig
%patch1 -p0
%patch2 -p0

%build
make -f Makefile.cvs
%configure2_5x --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# Menu icons
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

mkdir -p %buildroot%_datadir/applications/kde/
mv %buildroot%_datadir/applnk/Utilities/kompose.desktop %buildroot%_datadir/applications/kde/

%find_lang %name --with-html

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/kompose
%{_datadir}/applications/kde/kompose.desktop
%{_datadir}/apps/kompose
#menu stuff
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.4-3mdv2009.0
+ Revision: 247816
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Jan 06 2008 Funda Wang <fundawang@mandriva.org> 0.5.4-1mdv2008.1
+ Revision: 146008
- swtich to xdg menu location
- New versio 0.5.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Michael Scherer <misc@mandriva.org>
    - Import kompose




* Thu Jul 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.3-5mdv2007.0
- Rebuild for new menu && extension

* Fri May 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.5.3-4mdk
- build with automake1.8

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.3-3mdk
- Remove redundant Buildrequires

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.3-2mdk
- Fix Buildrequires
- use mkrel

* Sat Jul 23 2005 Laurent MONTEL <lmontel@mandriva.com> 0.5.3-1mdk
- 0.5.3

* Fri Jul 22 2005 Laurent MONTEL <lmontel@mandriva.com> 0.5.2-1mdk
- 0.5.2

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.5.1-2mdk
- Fix build on x86_64

* Thu Dec 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.1-1mdk
- 0.5.1

* Mon Oct 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-1mdk
- 0.5

* Fri Sep 03 2004 Michael Scherer <misc@mandrake.org> 0.4.2-2mdk 
- BuildRequires

* Wed Sep 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Fri Aug 27 2004 Michael Scherer <misc@mandrake.org> 0.4.1-1mdk 
- Update version

* Tue Aug 17 2004 Michael Scherer <misc@mandrake.org> 0.3-2mdk 
- [DIRM]

* Tue Aug 03 2004 Couriousous <couriousous@zarb.org> 0.3-1mdk
- New version

* Mon Jul 19 2004 Couriousous <couriousous@zarb.org> 0.2-1mdk
- First Mandrakelinux release
